Bug 474327 - X hangs if I set a virtual size with a dimension greater than 2048
X hangs if I set a virtual size with a dimension greater than 2048
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch, Triaged
: 475090 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 06:04 EST by Mary Ellen Foster
Modified: 2009-12-04 12:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log with no xorg.conf (56.94 KB, text/plain)
2008-12-03 06:04 EST, Mary Ellen Foster
no flags Details
Xorg.log with virtual size 2048x2048 (54.14 KB, text/plain)
2008-12-03 06:04 EST, Mary Ellen Foster
no flags Details
Xorg.log with virtual size 2049x2048 (22.14 KB, text/plain)
2008-12-03 06:05 EST, Mary Ellen Foster
no flags Details
Xorg.log with larger virtual size, showing backtrace and overflow messages (31.79 KB, text/plain)
2008-12-03 06:05 EST, Mary Ellen Foster
no flags Details
xorg.conf used for the above logs (676 bytes, text/plain)
2008-12-03 06:06 EST, Mary Ellen Foster
no flags Details

  None (edit)
Description Mary Ellen Foster 2008-12-03 06:04:00 EST
Created attachment 325513 [details]
Xorg.log with no xorg.conf

Description of problem:
If I use the xorg.conf file to set a virtual size with either dimension greater than 2048, then X never fully starts. It freezes and is basically unresponsive, and if I leave it long enough, I get messages in the log about "EQ overflowing. The server is probably stuck in an infinite loop."


Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.5.0-3.fc10.i386

How reproducible:
Every time

Steps to Reproduce:
1. Create an xorg.conf with a virtual size greater than 2048 in either dimension
2. Restart X
  
Actual results:
X hangs and eventually prints messages about an infinite loop

Expected results:
X works and I can set up my computer with two side-by-side monitors (without acceleration, but I can live with that)

Additional info:
This is on an Acer Aspire One mini-laptop (http://www.smolts.org/client/show/pub_406b15bb-6d53-4b8b-af01-f18a03b28499)

I'll attach a set of X logs under various conditions.
Comment 1 Mary Ellen Foster 2008-12-03 06:04:45 EST
Created attachment 325514 [details]
Xorg.log with virtual size 2048x2048
Comment 2 Mary Ellen Foster 2008-12-03 06:05:13 EST
Created attachment 325515 [details]
Xorg.log with virtual size 2049x2048
Comment 3 Mary Ellen Foster 2008-12-03 06:05:49 EST
Created attachment 325516 [details]
Xorg.log with larger virtual size, showing backtrace and overflow messages
Comment 4 Mary Ellen Foster 2008-12-03 06:06:25 EST
Created attachment 325517 [details]
xorg.conf used for the above logs
Comment 5 Mary Ellen Foster 2008-12-03 06:20:18 EST
Possibly relevant patch (based on the "Front buffer stride" error message in the logs, and the comments on this mailing-list thread):
    http://lists.freedesktop.org/archives/intel-gfx/2008-September/000287.html
Comment 6 Mary Ellen Foster 2008-12-03 07:18:18 EST
New finding: adding Option "NoAccel" "true" to the Device section of the xorg.conf makes larger virtual screens work again. Somewhat slowly, mind you, but it's there.
Comment 7 Matěj Cepl 2009-01-09 18:43:18 EST
*** Bug 475090 has been marked as a duplicate of this bug. ***
Comment 8 Damian Brasher 2009-02-23 12:58:40 EST
Problem confirmed using the intel driver and attempting to use the Virtual
display option in xorg.conf (Dell D620 display controller Intel
945GM/GMS/GME) Virtual 2960 1050, error log;

[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
Comment 9 Vedran Miletić 2009-11-05 18:11:52 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Bug Zapper 2009-11-18 04:37:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Vedran Miletić 2009-12-04 12:57:12 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.